Bug 458833 - [patch] libpaper defaults are suboptimal. Patch to fallback through LC_PAPER.
[patch] libpaper defaults are suboptimal. Patch to fallback through LC_PAPER.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libpaper (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 451767
  Show dependency treegraph
 
Reported: 2008-08-12 11:47 EDT by Caolan McNamara
Modified: 2008-09-10 02:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 02:44:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to implement (2.20 KB, patch)
2008-08-12 11:48 EDT, Caolan McNamara
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 481213 None None None Never

  None (edit)
Description Caolan McNamara 2008-08-12 11:47:04 EDT
Description of problem:
libpaper is in fedora now, and quite a few applications suck it down with their Requires, but libpaper is from the Debian world where the Debian installer is libpaper aware and sets a suitable default /etc/papersize for it to use. In Fedora there is no default /etc/papersize created by e.g. anaconda and there is no UI to set a value for libpaper in our configuration tools.

Version-Release number of selected component (if applicable):
libpaper-1.1.23-2

How reproducible:
yum install libpaper
paperconf
will always say "Letter" out of the box

The upshot of all this is that somewhere along the line OpenOffice.org got debianized and spawns off paperconf if it can find it and takes that as the default printer paper size, which is grievously confusing for non-Letter users.

Ideally in the face of no configuration libpaper would fallback through LC_PAPER before giving up and using Letter.

Patch attached to do this. This follows the mechanism that e.g. gtk2 uses for default paper size.

(http://wiki.services.openoffice.org/wiki/DefaultPaperSize for notes on some paper foo)
Comment 1 Caolan McNamara 2008-08-12 11:48:26 EDT
Created attachment 314108 [details]
patch to implement

I didn't get any response from an earlier cruder patch to the upstream debian maintainer FWIW
Comment 2 Tom "spot" Callaway 2008-08-22 17:04:10 EDT
Seems sane. I'll push this out as an update for F-8 and F-9.

I also attached it to your upstream bug report:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=481213
Comment 3 Fedora Update System 2008-08-22 17:22:15 EDT
libpaper-1.1.23-3.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/libpaper-1.1.23-3.fc8
Comment 4 Fedora Update System 2008-08-22 17:22:57 EDT
libpaper-1.1.23-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/libpaper-1.1.23-3.fc9
Comment 5 Fedora Update System 2008-09-10 02:44:42 EDT
libpaper-1.1.23-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-09-10 02:57:29 EDT
libpaper-1.1.23-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.